<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}

    <div class="actions-page">
        <div class="actions-page__actions-bar">
            <div class="actions-page__actions-bar__actions-count">
                <span class="actions-page__actions-bar__actions-count__amount"
                    >{{ .AmountOfPendingContracts }}</span
                >
                <small>{{ i18n "Actions for Contracts" }}</small>
            </div>
        </div>

        {{ if and (eq (len .PendingContracts) 0) (not .PaginationNextCursor) }}
            <div class="actions-page__no-results">
                {{ i18n "No Actions present" }}
            </div>
            <div id="pagination"></div>
        {{ else if and (eq (len .PendingContracts) 0) (.PaginationNextCursor) }}
            <div id="pagination">
                <div class="actions-page__no-results">
                    {{ i18n "No more Actions present" }}.
                    <a href="/actions">{{ i18n "Back to top" }}.</a>
                </div>
            </div>
        {{ else }}
            <table>
                <thead>
                    <tr>
                        <th>
                            {{ i18n "Contract start op" }}
                        </th>
                        <th>
                            {{ i18n "Type afspraak" }}
                        </th>
                        <th>{{ i18n "Agreements in Contracts" }}</th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    {{ range .PendingContracts }}
                        <tr
                            class="tr--link"
                            hx-get="/contract/{{ .Hash }}?back_button_url={{ $.ContractDetailBackButtonURLPath }}"
                            hx-push-url="true"
                            hx-swap="innerHTML"
                            hx-target="body"
                        >
                            <td>
                                <time
                                    data-format="LLL"
                                    datetime="{{ .CreatedAt }}"
                                >
                                    {{ .CreatedAt }}
                                </time>
                            </td>

                            <td>
                                {{ range .Grants }}
                                    {{ if (eq .GrantType "serviceConnection") }}
                                        {{ i18n "Connection request" }}
                                    {{ else if (eq .GrantType "delegatedServiceConnection") }}
                                        {{ i18n "Connection request" }}
                                    {{ else if (eq .GrantType "servicePublication") }}
                                        {{ i18n "Service publication request" }}
                                    {{ else if (eq .GrantType "delegatedServicePublication") }}
                                        {{ i18n "Service publication request" }}
                                    {{ end }}
                                    <br />
                                {{ end }}
                            </td>

                            <td>
                                {{ range .Grants }}
                                    {{ if (eq .GrantType "serviceConnection") }}
                                        <b>
                                            {{ index $.Peers .ConsumerPeerID }}
                                        </b>
                                        ({{ .ConsumerPeerID }})
                                        {{ i18n "connects to the Service" }}
                                        <b>{{ .ServiceName }}</b>
                                    {{ else if (eq .GrantType "delegatedServiceConnection") }}
                                        <b>
                                            {{ index $.Peers .ConsumerPeerID }}
                                        </b>
                                        ({{ .ConsumerPeerID }})
                                        {{ i18n "connects to the Service" }}
                                        <b>{{ .ServiceName }}</b>
                                        {{ i18n "on behalf of" }}
                                        <b
                                            >{{ index $.Peers .DelegatorPeerID }}</b
                                        >({{ .DelegatorPeerID }})
                                    {{ else if (eq .GrantType "servicePublication") }}
                                        <b>
                                            {{ index $.Peers .ServicePeerID }}
                                        </b>
                                        ({{ .ServicePeerID }})
                                        {{ i18n "publishes the Service" }}
                                        <b>{{ .ServiceName }}</b>.
                                    {{ else if (eq .GrantType "delegatedServicePublication") }}
                                        <b>
                                            {{ index $.Peers .ServicePeerID }}
                                        </b>
                                        ({{ .ServicePeerID }})
                                        {{ i18n "publishes the Service" }}
                                        <b>{{ .ServiceName }}</b>
                                        {{ i18n "on behalf of" }}
                                        <b>
                                            {{ index $.Peers .DelegatorPeerID }}</b
                                        >
                                        ({{ .DelegatorPeerID }})
                                    {{ end }}
                                    <br />
                                {{ end }}
                            </td>
                            <td class="td--link">
                                <a href="/contract/{{ .Hash }}">
                                    {{ svg "icon-chevron-right" "icon" }}
                                </a>
                            </td>
                        </tr>
                    {{ end }}
                </tbody>
            </table>

            <br />
            <br />

            {{ if (lt (len .PendingContracts) .PaginationLimit) }}
                <div id="pagination">
                    <div class="actions-page__no-results">
                        {{ i18n "No more Actions present" }}.
                        <a href="/actions">{{ i18n "Back to top" }}.</a>
                    </div>
                </div>
            {{ else }}
                <nav>
                    <ol id="pagination" class="pagination" hx-boost="true">
                        <li>
                            <a
                                href="/actions?pagination_cursor={{ .PaginationNextCursor }}"
                                hx-select="tbody tr"
                                hx-target="tbody"
                                hx-swap="beforeend show:none"
                                hx-select-oob="#pagination"
                                >{{ i18n "Show more Actions" }}</a
                            >
                        </li>
                    </ol>
                </nav>
            {{ end }}
        {{ end }}
    </div>
{{ end }}
